@font-face {
    font-family: 'rainyhearts';
    src: url(/fonts/rainyhearts-Medium.otf)format('truetype'),
    url(fonts/rainyhearts-Medium.otf)format('truetype');
}
@font-face {
    font-family: 'emojifont';
    src: url(/fonts/EmojiFont.ttf)format('truetype'),
    url(fonts/EmojiFont.ttf)format('truetype');
}

body {
    image-rendering: pixelated;
    height: 100%;
    background-image: url('https://somatheworld.neocities.org/media/specific%20page/starbg.png');
    background-size: 220px;
    background-repeat: repeat;
    background-position: top left;
    background-color: #dbecf5;
    z-index: 0;
    cursor: url("https://somatheworld.neocities.org/crabautocursor.png"), default;
    font-family: 'rainyhearts';
}

html {
    height: 100%;
}
  
a,button,summary {
    cursor: url("https://somatheworld.neocities.org/crablinkcursor.png"), auto;
}


u {
  text-decoration-thickness: 2px;
}

p {
    font-size: 18px;
    line-height: 20px;
    margin: 0px;
    color: #81371c;
}

h1 {
    color: #81371c;
    letter-spacing: 1px;
    font-family: 'rainyhearts';
    z-index: 0;
    font-size: 24px;
    line-height: 20px;
    margin-bottom: 10px;
    margin-top: 0px;
}

h2 {
    color: #81371c;
    letter-spacing: 1px;
    font-family: 'rainyhearts';
    z-index: 0;
    font-size: 20px;
    line-height: 20px;
    margin-bottom: 3px;
    margin-top: 0px;
}

h3 {
    color: #81371c;
    letter-spacing: 1px;
    font-family: 'rainyhearts';
    z-index: 0;
    font-size: 22px;
    line-height: 20px;
    margin-bottom: 3px;
    margin-top: 0px;
}

a {
    color: #81371c;
    text-decoration: underline;
    text-decoration-thickness: 2px;
} 
a:link {
    color: #81371c;
    text-decoration: underline;
    text-decoration-thickness: 2px;
} 
a:visited {
    color: #b76862;
} 
a:hover {
    text-decoration: none;
}

.leftbutton:hover {
    filter: drop-shadow(1px 1px #99c051) drop-shadow(-1px -1px #99c051) drop-shadow(-1px 1px #99c051) drop-shadow(1px -1px #99c051);
    cursor: url("https://somatheworld.neocities.org/crablinkcursor.png"), auto;
}

.rightbutton:hover {
    filter: drop-shadow(1px 1px #99c051) drop-shadow(-1px -1px #99c051) drop-shadow(-1px 1px #99c051) drop-shadow(1px -1px #99c051);
    cursor: url("https://somatheworld.neocities.org/crablinkcursor.png"), auto;
}

.crabbutton:hover {
    filter: drop-shadow(1px 1px #f4c1c1) drop-shadow(-1px -1px #f4c1c1) drop-shadow(-1px 1px #f4c1c1) drop-shadow(1px -1px #f4c1c1);
    cursor: url("https://somatheworld.neocities.org/crablinkcursor.png"), auto;
}

#nav {
display: flex;
  flex-direction: horizontal;
  justify-content: space-between;
  margin-top: 40px;
  margin-bottom: -90px;
  height: 50px;
  padding-left: 60px;
  padding-right: 60px;
}

.tabcontent {
    display: none;
}

.ramblecontent {
  display: none;
}

.crabbutton img {
    width: 80px;
}

.ramblelinks {
  margin-bottom: 10px;
  display: inline-block;
}

.leftbutton {
    background-image: url(https://somatheworld.neocities.org/media/specific%20page/buttonleft.png);
  background-repeat: no-repeat;
  width: 140px;
  background-size: 140px;
}

.leftbutton p {
    margin-right: auto;
    margin-left: auto;
    margin-top: 20px;
    display: table;
}

.rightbutton {
    background-image: url(https://somatheworld.neocities.org/media/specific%20page/buttonright.png);
  background-repeat: no-repeat;
  width: 140px;
  background-size: 140px;
}

.rightbutton p {
    margin-right: auto;
    margin-left: auto;
    margin-top: 20px;
    display: table;
}

#cake {
image-rendering: pixelated;
  z-index: 0;
  background-image: url('https://somatheworld.neocities.org/media/specific%20page/wholething.png');
  width: 580px;
  padding-bottom: 20px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  align-self: center;
  display: block;
  margin-top: 16px;
  border-bottom: none;
  background-size: 100%;
  background-repeat: no-repeat;
  height: 718px;
    padding-top: 8px;
}

#hii {
    margin-bottom: 2px;
}

#columns {
border: 16px solid;
  border-image: url(https://somatheworld.neocities.org/media/2026/scallopborder.png) 9 round;
    background-color: #ffcfb1;
margin-left: auto;
  margin-right: auto;
height: 354px;
  margin-top: 110px;
  background-clip: padding-box;
  border-left: 0;
  border-right: 0;
  width: 536.4916px;
  padding: 4px 20px 10px 20px;
}

#faves img {
height: 20px;
  display: inline;
  top: 4px;
  position: relative;
}

.nahida:before {
content: '';
  display: block;
  float: right;
height: 170.9px;
}

details > summary {
  list-style: none;
    font-size: 18px;
    line-height: 20px;
    color: #81371c;
}

details[open] summary::before {
  content: "- ";
}

summary::before {
  content: '+ ';
}

.cutedesigns {
    display: flex;
flex-direction: row;
justify-content: space-between;
margin-top: 10px;
}

#cutedesigns p {
 text-align: center;
 font-size: 17px;
}

#screenshots img {
    width: 175px;
}

#back {
    z-index: 3;
    font-size: 20px;
    line-height: 20px;
    text-align: center;
    display: block;
    padding-top: 5px;
    padding-bottom: 10px;
}

.im_wrapper {
    position: relative;
    text-decoration: underline;
    text-decoration-thickness: 2px;
}

.hover_im {
    position: absolute;
    height: 100px;
    top: -102px;
    right: 0px;
    z-index: 10;
    display: none;
    border: 2px solid #dbecf5;
}

.im_wrapper:hover {
    text-decoration: none;
}

.im_wrapper:hover > .hover_im {
    display:block;
}